Skip to main content
`Ctrl`+`K`

# VecGetOffloadMask

Get the offload mask of a `Vec`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetOffloadMask(Vec v, PetscOffloadMask *mask)

Not Collective

## Input Parameter

- v - the vector

## Output Parameter

- mask - corresponding `PetscOffloadMask` enum value.

## See Also

Vectors and Parallel Data, `Vec`, `VecCreateSeqCUDA()`, `VecCreateSeqViennaCL()`, `VecGetArray()`, `VecGetType()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages